Security update for MozillaFirefox

SUSE Security Update: Security update for MozillaFirefox
Announcement ID: SUSE-SU-2021:14766-1
Rating: important
References: #1188275
Cross-References:CVE-2021-29970 CVE-2021-29976 CVE-2021-30547
Affected Products:
  • SUSE Linux Enterprise Server 11-SP4-LTSS
  • SUSE Linux Enterprise Debuginfo 11-SP4

An update that fixes three vulnerabilities is now available.

Description:

This update for MozillaFirefox fixes the following issues:
Firefox Extended Support Release 78.12.0 ESR

  • Fixed: Various stability, functionality, and security fixes

MFSA 2021-29 (bsc#1188275)
  • CVE-2021-29970: Use-after-free in accessibility features of a document
  • CVE-2021-30547: Out of bounds write in ANGLE
  • CVE-2021-29976: Memory safety bugs fixed in Firefox 90 and Firefox ESR 78.12

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 11-SP4-LTSS:
    zypper in -t patch slessp4-MozillaFirefox-14766=1
  • SUSE Linux Enterprise Debuginfo 11-SP4:
    zypper in -t patch dbgsp4-MozillaFirefox-14766=1

Package List:

  • SUSE Linux Enterprise Server 11-SP4-LTSS (x86_64):
    • MozillaFirefox-78.12.0-78.134.1
    • MozillaFirefox-translations-common-78.12.0-78.134.1
    • MozillaFirefox-translations-other-78.12.0-78.134.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (x86_64):
    • MozillaFirefox-debuginfo-78.12.0-78.134.1

References: